package usingjsp;

import java.awt.*;
import java.awt.image.*;
import java.io.*;
import com.sun.image.codec.jpeg.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ShowOriginalImageServlet extends HttpServlet
{
    public void doGet(HttpServletRequest request,
        HttpServletResponse response)
        throws IOException
    {
        System.out.println("Generating in-memory image");

        response.setHeader("Cache-Control", "no-cache");
        response.setHeader("Pragma", "no-cache");
        response.setHeader("Expires", "0");

        HttpSession session = request.getSession();

// Create the in-memory image
        BufferedImage buffImage =
            (BufferedImage) session.getAttribute("originalImage");
        
        if (buffImage == null)
        {
            buffImage = new BufferedImage(100, 100,
                BufferedImage.TYPE_INT_RGB);
        }

// Create an encoder to convert the image into JPEG format, using
// the servlet's output stream as the stream for writing the image
        JPEGImageEncoder encoder = JPEGCodec.createJPEGEncoder(
            response.getOutputStream());

// Convert the image to JPeg
        encoder.encode(buffImage);

    }
}


