<%@page language="java" import="java.io.*" %>
<%@page language="java" import="java.util.*" %>

<HTML>
<BODY bgcolor="#ffffff">
<%

	try
	{
// See if there is a property pointing to the poll directory
		String pollDirectory = System.getProperty("poll.dir");

		File pollFile = null;

// If the directory has been specified, look for the poll
// file there (the poll file describes the question and possible
// answers for the poll)

		if (pollDirectory != null)
		{
			pollFile = new File(pollDirectory, "poll.in");
		}
		else
		{
			pollFile = new File("poll.in");
		}

// Open the poll file
		BufferedReader in = new BufferedReader(
			new FileReader(pollFile));

// The poll question should be on the first line
		String question = in.readLine();

		String line;
		Vector answers = new Vector();

// Now read each possible answer, one per line
		while ((line = in.readLine()) != null)
		{
			answers.addElement(line);
		}

		in.close();

// Now display the question and the possible answers
%>
<%-- First display the question --%>
<P>
Please take a few moments to respond to our poll
<P>
<FORM action="PollVote.jsp" method="POST">
<B><%=question%></B>
<BR>
<%-- Now loop through the possible answers --%>
<%
		Enumeration e = answers.elements();
		while (e.hasMoreElements())
		{
			String answer = (String) e.nextElement();
%>
<INPUT type="radio" name="answer" value="<%=answer%>"><%=answer%>
<BR>
<%
		}
%>
<P>
<INPUT type="submit" value="Vote">
</FORM>
<%-- Now handle the case of an IOException while reading the poll file --%>
<%
	}
	catch (IOException exc)
	{
%>
<H1>Sorry</H1>
The poll is currently unavailable. Please try again later.
<%
	}
%>
</BODY>
</HTML>

