package usingjsp;

import java.util.*;

public class UserDataTable
{
    protected static Hashtable userData = new Hashtable();
    protected static Random keyGenerator = new Random();

/** Creates a new table for a user's data and returns the key for
 *  the user's data.
 */
    public static String createUserData()
    {
// Create a random key for the user's data
        String userKey = ""+keyGenerator.nextLong();

// Create a hash table for the user's data and store it
        userData.put(userKey, new Hashtable());

        return userKey;
    }

/** Returns the user data table for a particular user */
    public static Hashtable getUserData(String userKey)
    {
        if (userKey == null) return null;
        return (Hashtable) userData.get(userKey);
    }

/** Destroys the user data table for a particular user */
    public static void clearUserData(String userKey)
    {
        if (userKey == null) return;
        userData.remove(userKey);
    }
}
