package usingjsp;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

public class DumpCookiesServlet extends HttpServlet
{
    public void service(HttpServletRequest request,
        HttpServletResponse response)
        throws IOException, ServletException
    {
        Cookie[] cookies = request.getCookies();

        response.setContentType("text/html");

        PrintWriter out = response.getWriter();
        out.println("<html><body bgcolor=\"#ffffff\">");

        out.println("Your browser sent the following cookies:");
        out.println("<pre>");

        if (cookies != null)
        {
            for (int i=0; i < cookies.length; i++)
            {
                out.println(cookies[i].getName()+": "+cookies[i].getValue());
            }
        }

        out.println("</pre>");
        out.println("</body></html>");
    }
}
