package usingjsp;

public class Group implements java.io.Serializable
{
	protected java.util.Vector members;

	public Group()
	{
		members = new java.util.Vector();
	}

	public String getMember(int which)
	{
		return (String) members.elementAt(which);
	}

	public void setMember(int which, String member)
	{
		members.setElementAt(member, which);
	}

	public String[] getMembers()
	{
// Convert the members vector into an array of strings
		String[] memberArray = new String[members.size()];
		members.copyInto(memberArray);

		return memberArray;
	}

	public void setMembers(String[] memberArray)
	{
// If there are no members, just clear out the vector
		if (memberArray == null)
		{
			members.setSize(0);
			return;
		}
// Copy the contents of the member array into the members vector
		members.setSize(memberArray.length);
		for (int i=0; i < memberArray.length; i++)
		{
			members.setElementAt(memberArray[i], i);
		}
	}
}
