<%@ page language="java" import="usingjsp.*,java.net.*,java.util.*" %>
<html>
<body bgcolor="#ffffff">

<form action="SaveMeetChanges3.jsp" method="post">
<%
    String meetIndexStr = request.getParameter("meetIndex");

    Meet3 meet = null;
    boolean isNew = true;

    if (meetIndexStr != null)
    {
        int meetIndex = Integer.parseInt(meetIndexStr);

        meet = MeetManager3.getMeet(meetIndex);
        if (meet != null)
        {
            isNew = false;
        }
    }

    if (meet == null)
    {
        meet = new Meet3();
        meet.gym = "";
        meet.dates = "";
        meet.levels = "";
    }

    String vaultJudges[] = getAssignments(meet.vaultJudges, 2);
    String barsJudges[] = getAssignments(meet.barsJudges, 2);
    String beamJudges[] = getAssignments(meet.beamJudges, 2);
    String floorJudges[] = getAssignments(meet.floorJudges, 2);
%>
<h1>Edit Meet</h1>
<table>
<tr>
<td>Meet Name:
<td>
<%
    if (isNew) {
%><input type="text" name="meetName"><%
    } else {
%><%=meet.meetName%><input type="hidden" name="meetName" value="<%=meet.meetName%>">
    <input type="hidden" name="meetIndex" value="<%=meet.meetIndex%>">
<%  } %>
<tr>
<td>Gym: <td><input type="text" name="gym" value="<%=meet.gym%>">
<tr>
<td>Dates: <td><input type="text" name="dates" value="<%=meet.dates%>">
<tr>
<td>Levels: <td><input type="text" name="levels" value="<%=meet.levels%>">
</table>
<p>
<h3>Judging Assignments</h3>
<p>
<table>
<tr>
<td>Vault Assignments
<td><input type="text" name="vaultJudges" value="<%=vaultJudges[0]%>"><br>
<tr>
<td>&nbsp;
<td><input type="text" name="vaultJudges" value="<%=vaultJudges[1]%>"><br>
<tr>
<td>Bars Assignments
<td><input type="text" name="barsJudges" value="<%=barsJudges[0]%>"><br>
<tr>
<td>&nbsp;
<td><input type="text" name="barsJudges" value="<%=barsJudges[1]%>"><br>
<tr>
<td>Beam Assignments
<td><input type="text" name="beamJudges" value="<%=beamJudges[0]%>"><br>
<tr>
<td>&nbsp;
<td><input type="text" name="beamJudges" value="<%=beamJudges[1]%>"><br>
<tr>
<td>Floor Assignments
<td><input type="text" name="floorJudges" value="<%=floorJudges[0]%>"><br>
<tr>
<td>&nbsp;
<td><input type="text" name="floorJudges" value="<%=floorJudges[1]%>"><br>
</table>

<h3>Car Pools</h3>
<%
    for (int i=0; i < 4; i++)
    {
        out.println("Car pool #"+(i+1)+":<br>");

        String assignments[] = new String[] { "", "", "", "" };

        if ((meet.carPools != null) && (i < meet.carPools.size()))
        {
            Vector v = (Vector) meet.carPools.elementAt(i);

            assignments = getAssignments(v, 4);
        }

        for (int j=0; j < assignments.length; j++)
        {
%><input type="text" name="<%="carPool"+i%>" value="<%=assignments[j]%>"><br>
<%      }
    }

    if (isNew)
    {
%> <input type="hidden" name="isNew" value="yes"> <%
    }
%>
<p>
<input type="submit" value="Save Changes">
</form>
</body>
</html>
<%!

// Convert a vector into a fixed-size string with empty strings for
// the spots that don't have values
    public static String[] getAssignments(Vector v, int numValues)
    {
        String retval[] = new String[numValues];

        for (int i=0; i < numValues; i++) retval[i] = "";

        if (v != null)
        {
            int vsize = v.size();

            for (int i=0; (i < numValues) && (i < vsize); i++)
            {
                retval[i] = (String) v.elementAt(i);
            }
        }

        return retval;
    }
%>
