<%@ page language="java" import="java.sql.*,java.util.*,usingjsp.*" %>
<%
    Connection conn = null;

    try
    {
        conn = connectionPool.getConnection();

        Statement statement = conn.createStatement();

        ResultSet results = statement.executeQuery("select * from person");

        Vector v = new Vector();

        while (results.next())
        {
            v.addElement(new Person(results));
        }

        request.setAttribute("people", v);

        statement.close();
    }
    finally
    {
        if (conn != null)
        {
            connectionPool.releaseConnection(conn);
        }
    }
%> 

<html>
<body bgcolor="#ffffff">

<jsp:include page="/servlet/usingjsp.TableServlet" flush="true">
    <jsp:param name="data" value="people"/>

    <jsp:param name="tableOptions" value="BORDER=4"/>

    <jsp:param name="column" value="name"/>
    <jsp:param name="columnType" value="data"/>
    <jsp:param name="columnHeader" value="Name"/>

    <jsp:param name="column" value="age"/>
    <jsp:param name="columnType" value="data"/>
    <jsp:param name="columnHeader" value="Age"/>

    <jsp:param name="column" value="city"/>
    <jsp:param name="columnType" value="data"/>
    <jsp:param name="columnHeader" value="City"/>

    <jsp:param name="column" value="state"/>
    <jsp:param name="columnType" value="data"/>
    <jsp:param name="columnHeader" value="State"/>

    <jsp:param name="column" value="country"/>
    <jsp:param name="columnType" value="data"/>
    <jsp:param name="columnHeader" value="Country"/>

    <jsp:param name="column" value="postalCode"/>
    <jsp:param name="columnType" value="data"/>
    <jsp:param name="columnHeader" value="Postal Code"/>

    <jsp:param name="column" value="email"/>
    <jsp:param name="columnType" value="data"/>
    <jsp:param name="columnHeader" value="E-Mail"/>
</jsp:include>
</body>
</html>

<%!
    protected IConnectionPool connectionPool;

    public void jspInit()
    {
        try
        {
            Class.forName("interbase.interclient.Driver");
        } catch (Exception ignore) {}

        connectionPool = new SimpleConnectionPool(
            "jdbc:interbase://localhost/h:/jspbook/database/ibexample",
            "SYSDBA", "masterkey");
    }
%>

