package usingjsp.service;

import java.rmi.*;

public interface ServiceRequests extends Remote
{
    public RemoteServiceRequest[] getAll()
        throws RemoteException;
    public RemoteServiceRequest[] getAllByOriginator(String originator)
        throws RemoteException;
    public RemoteServiceRequest getByRequestId(int requestId)
        throws RemoteException;
    
    public RemoteServiceRequest create()
        throws RemoteException;
}
