package usingjsp.cart.corba;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.net.*;
import usingjsp.cart.*;

public class CheckoutServlet extends HttpServlet
{
    public void service(HttpServletRequest request,
        HttpServletResponse response)
        throws IOException, ServletException
    {

// First get the shipping values from the request
        ShippingInfo shipping = new ShippingInfo();

        shipping.name = request.getParameter("name");
        shipping.address1 = request.getParameter("address1");
        shipping.address2 = request.getParameter("address2");
        shipping.city = request.getParameter("city");
        shipping.state = request.getParameter("state");
        shipping.postalCode = request.getParameter("postalCode");
        shipping.country = request.getParameter("country");
        shipping.email = request.getParameter("email");

// Next, get the billing values
        BillingInfo billing = new BillingInfo();
        
        billing.nameOnCard = request.getParameter("nameOnCard");
        billing.creditCardType = request.getParameter("creditCardType");
        billing.creditCardNumber = request.getParameter(
            "creditCardNumber"); 
        billing.creditCardExpiration = request.getParameter(
            "creditCardExpiration"); 

        HttpSession session = request.getSession();

// Get the cart
        IShoppingCart cart = (IShoppingCart) session.
            getAttribute("ShoppingCart");
    
        try
        {
            String confirmation = cart.completeOrder(shipping, billing);

// Now display the cart and allow the user to check out or order more items
            response.sendRedirect(response.encodeRedirectURL(
                "/jspbook/Chap22/ShowConfirmation.jsp"+
                "?confirmationNumber="+URLEncoder.encode(confirmation)));
        }
        catch (ShoppingCartException exc)
        {
            PrintWriter out = response.getWriter();

            out.println("<html><body><h1>Error</h1>");
            out.println("The following error occurred while "+
                "processing your order:");
            out.println("<pre>");
            out.println(exc.getMessage());
            out.println("</pre>");
            out.println("</body></html>");
            return;
        }
    }
}
