package usingjsp.ejb;

import javax.ejb.*;
import java.rmi.RemoteException;
import java.util.*;

public interface AddressHome extends EJBHome
{
    public Address create(String firstName, String middleName,
        String lastName)
        throws RemoteException, CreateException;
    
    public Address findByPrimaryKey(AddressKey key)
        throws FinderException, RemoteException;
    
    public Collection findByLastName(String lastName)
        throws FinderException, RemoteException;

    public Collection findByEmail(String email)
        throws FinderException, RemoteException;

    public Collection findByHomePhoneNumber(String number)
        throws FinderException, RemoteException;

    public Collection findByWorkPhoneNumber(String number)
        throws FinderException, RemoteException;

    public Collection findByMobilePhoneNumber(String number)
        throws FinderException, RemoteException;
}
