<%@ page language="java" contentType="text/vnd.wap.wml" %>
<%@ page import="java.net.*,java.util.*,usingjsp.scores.*" %>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN"
    "http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>
<%
    Vector scoreList = (Vector) request.getAttribute("scoreList");

    int currRound = 0;
    int numElements = scoreList.size();
    int maxRound = 0;

// Figure out which round is the last one
    for (int i=0; i < numElements; i++)
    {
        Score s = (Score) scoreList.elementAt(i);

        if (s.round > maxRound) maxRound = s.round;
    }

    for (int i=0; i < numElements; i++)
    {
        Score s = (Score) scoreList.elementAt(i);

// If this score starts a new round, start a new card
        if (s.round != currRound)
        {
            if (currRound != 0) out.println("</card>");
            out.println("<card id=\"round"+s.round+"\">");
            currRound = s.round;
        }

// By default, the next link goes back to the main menu
        String dest="Scores.jsp";

// If there are more rounds to go, make the next link go to the next round
        if (s.round < maxRound)
        {
            dest="#round"+(s.round+1);
        }
%>
<do type="accept" label="Next">
    <go href="<%=dest%>"/>
</do>
<p>
Round: <%= s.round %><br/>
<%= s.player %>: <%= s.playerScore %>
    (<%= s.playerScore > s.opponentScore ? "W" : "L"%>)<br/>
<%= s.opponent %>: <%= s.opponentScore %>
    (<%= s.opponentScore > s.playerScore ? "W" : "L"%>)<br/>
Spread: <%= s.playerScore - s.opponentScore %>

</p>
<%
    }
%>
</card>
</wml>
