import javax.servlet.jsp.tagext.*;
import javax.servlet.jsp.*;
import java.util.*;

public class NightTag extends TagSupport
{
    public int doStartTag()
        throws JspException
    {
        GregorianCalendar currTime = new GregorianCalendar();

        int hour = currTime.get(Calendar.HOUR_OF_DAY);

        if ((hour < 6) || (hour > 18))
        {
            return EVAL_BODY_INCLUDE;
        }
        else
        {
            return SKIP_BODY;
        }
    }

    public int doEndTag()
    {
        return EVAL_PAGE;
    }
}
