import javax.servlet.jsp.tagext.*;
import javax.servlet.jsp.*;
import javax.servlet.http.*;
import java.util.*;

public class RequireRoleTag extends TagSupport
{
    protected String role = null;

    public int doStartTag()
        throws JspException
    {
        HttpServletRequest request =
            (HttpServletRequest) pageContext.getRequest();

        if ((role != null) && request.isUserInRole(role))
        {
            return EVAL_BODY_INCLUDE;
        }
        else
        {
            return SKIP_BODY;
        }
    }

    public int doEndTag()
    {
        return EVAL_PAGE;
    }

    public String getRole() { return role; }
    public void setRole(String aRole) { role = aRole; }
}
