<HTML>
<BODY>

<%
	String firstName = request.getParameter("firstname");
	if (firstName == null) firstName = "";

	String lastName = request.getParameter("lastname");
	if (lastName == null) lastName = "";

	String address = request.getParameter("address");
	if (address == null) address = "";

	String city = request.getParameter("city");
	if (city == null) city = "";

	String state = request.getParameter("state");
	if (state == null) state = "";

	String zip = request.getParameter("zip");
	if (zip == null) zip = "";

	String formatOption = request.getParameter("formatoption");
	if (formatOption == null) formatOption = "";

// Since some fields are required, set the default style for the "required"
// labels
	String firstNameRequiredColor = "black";
	String lastNameRequiredColor = "black";
	String zipRequiredColor = "black";

	String requiredNotifyColor = "red";

// When this form is originally shown, it is fetched by an HTTP GET
// request, but in the METHOD option in the FORM tag below, the form
// is fetched using an HTTP POST command.

// See if this form was submitted (i.e. the user filled in the form
// and pressed the submit button)
	if (request.getMethod().equals("POST"))
	{
		boolean allRequiredFieldsPresent = true;

// See if any of the required fields are blank
		if (firstName.length() == 0)
		{
			firstNameRequiredColor = requiredNotifyColor;
			allRequiredFieldsPresent = false;
		}

		if (lastName.length() == 0)
		{
			lastNameRequiredColor = requiredNotifyColor;
			allRequiredFieldsPresent = false;
		}

		if (zip.length() == 0)
		{
			zipRequiredColor = requiredNotifyColor;
			allRequiredFieldsPresent = false;
		}

// If the user hasn't entered the required fields, tell them that the
// fields are marked in a separate color.
		if (!allRequiredFieldsPresent)
		{
%>
You have not entered all the required fields. The fields you must still
enter are marked in <font color="<%=requiredNotifyColor%>">
<%=requiredNotifyColor%></font>.
<%
		}
		else
		{
// Display the name and address as it has been entered

			String nameString = firstName+" "+lastName+
				"<BR>"+ address+"<BR>"+city+", "+
				state+" "+zip;

			out.println("The current name is:<P>");

			if (formatOption.equals("bold"))
			{
				out.println("<B>"+nameString+"</B>");
			}
			else if (formatOption.equals("italic"))
			{
				out.println("<I>"+nameString+"</I>");
			}
			else
			{
				out.println(nameString);
			}
			out.println("<P>");
		}
	}
%>
<%-- Always allow the user to update the data and submit --%>
<FORM action="NameFormatter.jsp" method="POST">
<TABLE>
<TR><TD>First Name:<TD><INPUT type="text" name="firstname" value="<%=firstName%>">
<TD><FONT color="<%=firstNameRequiredColor%>">required</FONT>

<TR><TD>Last Name:<TD><INPUT type="text" name="lastname" value="<%=lastName%>">
<TD><FONT color="<%=lastNameRequiredColor%>">required</FONT>

<TR><TD>Address:<TD><INPUT type="text" name="address" value="<%=address%>">
<TR><TD>City:<TD><INPUT type="text" name="city" value="<%=city%>">
<TR><TD>State:<TD><INPUT type="text" name="state" value="<%=state%>">

<TR><TD>Zip:<TD><INPUT type="text" name="zip" value="<%=zip%>">
<TD><FONT color="<%=zipRequiredColor%>">required</FONT>
</TABLE>
<P>
Format options:<BR>
<SELECT name="formatoption">
	<OPTION value="normal">Normal</OPTION>
	<OPTION value="bold">Bold</OPTION>
	<OPTION value="italic">Italic</OPTION>
</SELECT>
<P>
<INPUT type="submit" value="Format!">
</FORM>
</BODY>
</HTML>
