package usingjsp;

import javax.servlet.*;
import java.io.*;

public class ForwarderServlet extends GenericServlet
{
    public void service(ServletRequest request,
        ServletResponse response)
        throws IOException, ServletException
    {
// Tell the web server that the response is HTML
        response.setContentType("text/html");

// Get the PrintWriter for writing out the response
        PrintWriter out = response.getWriter();

// Write the HTML back to the browser
        out.println("<HTML>");
        out.println("<BODY>");

        out.println("You should never see this");
        out.println("because my output buffer gets erased");

// Get the request dispatcher for the JSP to include
        RequestDispatcher dispatcher =
            request.getRequestDispatcher(
                "/jspbook/Chap07/ForwardedPage.jsp");

        dispatcher.forward(request, response);

        out.println("</BODY>");
        out.println("</HTML>");
    }
}
