<%-- Declare a page to receive any errors that occur --%>
<%@ page errorPage="ShoppingCartError.jsp" %>

<%-- Get the shopping cart instance --%>
<jsp:useBean id="cart" class="usingjsp.cart.ShoppingCart" scope="session"/>

<%-- Create an object to hold shipping information --%>
<jsp:useBean id="shipping" class="usingjsp.cart.Shipping" scope="page"/>

<%-- Copy the shipping information into the shipping object --%>
<jsp:setProperty name="shipping" property="*" />

<%-- Create an object to hold billing information --%>
<jsp:useBean id="billing" class="usingjsp.cart.Billing" scope="page"/>

<%-- Copy the billing information into the billing object --%>
<jsp:setProperty name="billing" property="*" />

<html>
<body>
<h1>Thank you for your order</h1>
<p>
Your order confirmation number is
<%= cart.completeOrder(shipping, billing) %>.
<p>
Please use this number when calling to inquire about your order status.
</body>
</html>
