package usingjsp;

import javax.servlet.*;
import javax.servlet.http.*;

import java.io.*;

public class DataServlet extends HttpServlet
{
    public void service(HttpServletRequest request,
        HttpServletResponse response)
        throws IOException
    {
        response.setContentType("text/html");

        PrintWriter out = response.getWriter();

        JavaInfo info[] = new JavaInfo[] {
            new JavaInfo("Kaitlynn Tippin", "katy"),
            new JavaInfo("Samantha Tippin", "sammy"),
            new JavaInfo("Edward Alexander", "eddie"),
            new JavaInfo("Norton Alexander", "nortie"),
        };

        out.println("<html><script>");
        out.println("javaInfo = [");
        for (int i=0; i < info.length; i++)
        {
            if (i > 0) out.print(",");
            info[i].writeJavaScript(out);
        }
        out.println("];");
        out.println("</script>");
        out.println("<body onload=\"top.DataFrame.handleData(javaInfo)\">");
        out.println("</body></html>");
    }

    class JavaInfo
    {
        public String name;
        public String nickname;

        public JavaInfo(String aName, String aNickname)
        {
            name = aName;
            nickname = aNickname;
        }

        public void writeJavaScript(PrintWriter out)
        {
            out.println("{ name: '"+name+"', nickname:'"+nickname+"' }");
        }
    }
}
