package usingjsp;

import java.util.*;

public class TestMeet
{
    public static void main(String[] args)
    {
        Meet meet = new Meet();

        meet.meetName = "Flamingo Invitational";
        meet.gym = "Gymnastics Organization Of Florida (GOOF)";
        meet.dates = "January 12 & 13";
        meet.levels = "Levels 8 & 9";

        meet.vaultJudges = new Vector();
        meet.vaultJudges.addElement("Jane Hathaway");
        meet.vaultJudges.addElement("Ellie Mae Clampett");

        meet.barsJudges = new Vector();
        meet.barsJudges.addElement("Lovey Howell");
        meet.barsJudges.addElement("Ginger Grant");

        meet.beamJudges = new Vector();
        meet.beamJudges.addElement("Lisa Douglas");
        meet.beamJudges.addElement("Sam Drucker");

        meet.floorJudges = new Vector();
        meet.floorJudges.addElement("Helen Crump");
        meet.floorJudges.addElement("Bea Taylor");

        meet.carPools = new Vector();

        String str = meet.toDataString();
        System.out.println("As a string: "+str);

        Meet newMeet = new Meet(str);
        System.out.println("------------------------");
        System.out.println(newMeet.meetName);
        System.out.println(newMeet.gym);
        System.out.println(newMeet.dates);
        System.out.println(newMeet.levels);
        
        printList(newMeet.vaultJudges);
        printList(newMeet.barsJudges);
        printList(newMeet.beamJudges);
        printList(newMeet.floorJudges);
    }

    public static void printList(Vector v)
    {
        Enumeration e = v.elements();

        boolean first = true;

        while (e.hasMoreElements())
        {
            if (!first)
            {
                System.out.print(",");
            }
            else
            {
                first = false;
            }
            System.out.print(e.nextElement());
        }
        System.out.println();
    }
}
