<%@ page language="java" import="usingjsp.problemreport.*,java.util.*" %>
<%@ page import="usingjsp.*,java.sql.*,java.text.*" %>

<html>
<body bgcolor="#ffffff">

<%@ include file="CheckLoggedIn.jsp" %>

<%
    Connection conn = null;

    IConnectionPool pool =
        (IConnectionPool) application.getAttribute("connectionPool");

    try
    {
        conn = pool.getConnection();

        ProblemReport prQuery = new ProblemReport();

        Vector v = prQuery.getAll(conn);

%>
<h1>Problems Assigned to <%= developer%></h1>
<table border="4">
<tr><th>System<th>Subsystem<th>Originator<th>Description
<th>Priority<th>Status<th>Developers<th>ECD
<%
        ProblemReportDeveloper prdQuery = new ProblemReportDeveloper();

        SimpleDateFormat format = new SimpleDateFormat("MM/dd/yyyy");

        Enumeration e = v.elements();

        while (e.hasMoreElements())
        {
            ProblemReport problem = (ProblemReport) e.nextElement();
%>
<tr><td><%=problem.system%><td><%=problem.subsystem%>
<td><%=problem.originator%><td><%=problem.description%>
<td><%=problem.priority%><td><%=problem.status%>
<td>
<%
            Vector devs = prdQuery.getAll(conn,
                "problem_id="+problem.problemId);

            Enumeration de = devs.elements();
            boolean first = true;

            while (de.hasMoreElements())
            {
                ProblemReportDeveloper prd = (ProblemReportDeveloper)
                    de.nextElement();
             
                if (!first) out.print(",");
                first = false;

                out.print(prd.developer);
            }
%>
<td><%=format.format(problem.estimatedCompletionDate)%>
<td><a href="EditProblem.jsp?problemId=<%=problem.problemId%>">Edit</a>
<%
        }
    }
    finally
    {
        try
        {
            pool.releaseConnection(conn);
        } catch (Exception ignore) {}
    }
%>
</table>
<p>
<a href="ProblemReporting.jsp">Return to Main Page</a>
</body>
</html>
