package usingjsp;

import usingjsp.*;
import usingjsp.structs.*;

public class TestNullToBlank
{
    public static void main(String[] args)
    {
        PersonStruct ps1 = new PersonStruct();

        ps1.pets = new PetStruct[3];
        for (int i=0; i < ps1.pets.length; i++)
        {
            ps1.pets[i] = new PetStruct();
        }

        ps1.ages = new int[2];
        ps1.name = "Mark";
        ps1.pets[1].petName = "Eddie";

        printPerson(ps1);
        NullToBlank.nullToBlank(ps1);

        printPerson(ps1);

        long startTime = System.currentTimeMillis();
        for (int i=0; i < 1000; i++)
        {
            NullToBlank.nullToBlank(ps1);
        }
        long endTime = System.currentTimeMillis();
        System.out.println("Total time: "+((double)(endTime-startTime)/1000.0));
    }

    public static void printPerson(PersonStruct ps)
    {
        System.out.println("Name = "+ps.name);
        System.out.println("Fave color = "+ps.favoriteColor);
        System.out.println("Pets:");
        if (ps.pets != null)
        {
            for (int i=0; i < ps.pets.length; i++)
            {
                System.out.println("Pet Name="+ps.pets[i].petName);
                System.out.println("Pet Breed="+ps.pets[i].petBreed);
                System.out.println("Pet Age="+ps.pets[i].petAge);
            }
        }

        System.out.println("Ages:");
        if (ps.ages != null)
        {
            for (int i=0; i < ps.ages.length; i++)
            {
                if (i > 0) System.out.print(",");
                System.out.print(ps.ages[i]);
            }
            System.out.println();
        }
    }
}
