package usingjsp.ejb;

import javax.ejb.*;


/** A data object representing an Address for an address book database
 */
public class AddressEJB
    implements EntityBean, java.io.Serializable
{
    public String firstName;
    public String middleName;
    public String lastName;
    public String homePhoneNumber;
    public String workPhoneNumber;
    public String mobilePhoneNumber;
    public String address1;
    public String address2;
    public String city;
    public String state;
    public String zip;
    public String email;

    private EntityContext context;

    public AddressEJB()
    {
    }

    public AddressKey ejbCreate(String aFirstName, String aMiddleName,
        String aLastName)
        throws CreateException
    {
        if ((firstName == null) && (lastName == null))
        {
            throw new CreateException(
                "You must supply at least a first or last name");
        }

        firstName = aFirstName;
        middleName = aMiddleName;
        lastName = aLastName;

        return null;
    }

    public String getFirstName() { return firstName; }
    public void setFirstName(String theFirstName)    {
        firstName = theFirstName;
    }

    public String getMiddleName() { return middleName; }
    public void setMiddleName(String theMiddleName)    {
        middleName = theMiddleName;
    }

    public String getLastName() { return lastName; }
    public void setLastName(String theLastName)    {
        lastName = theLastName;
    }

    public String getHomePhoneNumber() { return homePhoneNumber; }
    public void setHomePhoneNumber(String theHomePhoneNumber)    {
        homePhoneNumber = theHomePhoneNumber;
    }

    public String getWorkPhoneNumber() { return workPhoneNumber; }
    public void setWorkPhoneNumber(String theWorkPhoneNumber)    {
        workPhoneNumber = theWorkPhoneNumber;
    }

    public String getMobilePhoneNumber() { return mobilePhoneNumber; }
    public void setMobilePhoneNumber(String theMobilePhoneNumber)    {
        mobilePhoneNumber = theMobilePhoneNumber;
    }

    public String getAddress1() { return address1; }
    public void setAddress1(String theAddress1)    {
        address1 = theAddress1;
    }

    public String getAddress2() { return address2; }
    public void setAddress2(String theAddress2)    {
        address2 = theAddress2;
    }

    public String getCity() { return city; }
    public void setCity(String theCity)    {
        city = theCity;
    }

    public String getState() { return state; }
    public void setState(String theState)    {
        state = theState;
    }

    public String getZip() { return zip; }
    public void setZip(String theZip)    {
        zip = theZip;
    }

    public String getEmail() { return email; }
    public void setEmail(String theEmail)    {
        email = theEmail;
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }

    public void ejbLoad()
    {
    }

    public void ejbStore()
    {
    }

    public void ejbRemove()
    {
    }

    public void setEntityContext(EntityContext aContext)
    {
        context = aContext;
    }

    public void unsetEntityContext()
    {
        context = null;
    }
}

