import javax.servlet.jsp.tagext.*;
import javax.servlet.jsp.*;
import java.io.*;

public class TestRedoEvalTag extends BodyTagSupport
{
    public int doStartTag()
        throws JspException
    {
        return EVAL_BODY_TAG;
    }

    public int doEndTag()
    {
        return EVAL_PAGE;
    }

    public void doInitTag()
    {
    }

    public int doAfterBody()
        throws JspException
    {
// Get the current body content
        BodyContent body = getBodyContent();

// Get the body content as a string
        String content = body.getString();

        try
        {
            if (content.indexOf("changeme") >= 0)
            {
                body.clearBody();
                body.getEnclosingWriter().println(
                    "<% out.println(\"Hello World!\"); %>");
                return EVAL_BODY_TAG;
            }
            else
            {
// Ask the body content to write itself out to the response
                body.writeOut(body.getEnclosingWriter());
                return SKIP_BODY;
            }
        }
        catch (IOException exc)
        {
            throw new JspException(exc.toString());
        }
// Tell the JSP engine that the body content has been evaluated
    }
}
